#------------------------------------------------------------------------------
#
#   Interesting Times - Vector arithmetic
#
#------------------------------------------------------------------------------

from numpy import array, asarray, dot, sqrt

as_vector = asarray

def vector(*args):
	return array(args)

def rotate_clockwise(v):
	return vector(-v[1], v[0])

def rotate_anticlockwise(v):
	return vector(v[1], -v[0])

def distance(u, v):
	d = u - v
	return sqrt(dot(d, d))
